using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace BeWo
{
    /// <summary>
    /// Interaktionslogik für EnterTenantDialog.xaml
    /// </summary>
    public partial class EnterTenantDialog : Window
    {
        public EnterTenantDialog()
        {
            InitializeComponent();
        }

	    private String oldTenant = String.Empty;

        public String Tenant
        {
            get { return txtTenant.Text; }
            set
            {
                txtTenant.Text = value;
                txtTenant.Focus();
                txtTenant.SelectAll();
            }
        }

        private void ButtonBase_OnClick(object sender, RoutedEventArgs e)
        {
            DialogResult = true;
        }

	    private void ToggleButton_OnChecked(object sender, RoutedEventArgs e)
	    {
		    oldTenant = txtTenant.Text;
		    txtTenant.Text = "demo";
		    txtTenant.IsEnabled = false;
	    }

	    private void ToggleButton_OnUnchecked(object sender, RoutedEventArgs e)
	    {
			txtTenant.Text = oldTenant;
			txtTenant.IsEnabled = true;
	    }
    }
}
